> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/edge/models.md).

# Models

## The JdbcDriver object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"JdbcDriver":{"type":"object","description":"JDBC driver configuration (`JdbcDriverDirect`). Specify the driver jar, an optional classpath, and the fully qualified driver class name.","oneOf":[{"$ref":"#/components/schemas/JdbcDriverDirect"}],"discriminator":{"propertyName":"type","mapping":{"JdbcDriverDirect":"#/components/schemas/JdbcDriverDirect"}}},"JdbcDriverDirect":{"title":"Direct JDBC Driver","type":"object","properties":{"type":{"type":"string","pattern":"^JdbcDriverDirect$"},"className":{"type":"string","description":"Fully qualified class name of the JDBC driver (e.g. \"org.postgresql.Driver\", \"com.mysql.cj.jdbc.Driver\", etc.).","maxLength":100,"pattern":"^[a-zA-Z0-9._$]+$"},"jar":{"type":"string","format":"uuid","description":"Reference id of the driver jar uploaded via `POST /drivers/jars`."},"additionalClasspathFiles":{"type":"array","maxItems":10,"items":{"type":"string","format":"uuid","description":"Reference id of a driver jar or native library uploaded via `POST /drivers/jars` or `POST /drivers/nativeLibs`."}}},"required":["className","type","jar"],"description":"This schema contains the allowed configuration files that can be uploaded to set up a JDBC connection type."}}}}
```

## The JdbcDriverDirect object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"JdbcDriverDirect":{"title":"Direct JDBC Driver","type":"object","properties":{"type":{"type":"string","pattern":"^JdbcDriverDirect$"},"className":{"type":"string","description":"Fully qualified class name of the JDBC driver (e.g. \"org.postgresql.Driver\", \"com.mysql.cj.jdbc.Driver\", etc.).","maxLength":100,"pattern":"^[a-zA-Z0-9._$]+$"},"jar":{"type":"string","format":"uuid","description":"Reference id of the driver jar uploaded via `POST /drivers/jars`."},"additionalClasspathFiles":{"type":"array","maxItems":10,"items":{"type":"string","format":"uuid","description":"Reference id of a driver jar or native library uploaded via `POST /drivers/jars` or `POST /drivers/nativeLibs`."}}},"required":["className","type","jar"],"description":"This schema contains the allowed configuration files that can be uploaded to set up a JDBC connection type."}}}}
```

## The ValueString object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ValueString":{"title":"String Value","type":"object","required":["type","value"],"properties":{"type":{"type":"string","pattern":"^ValueString$"},"value":{"type":"string","minLength":1,"maxLength":4000,"pattern":".*\\S.*"}},"description":"Contains a series of characters that comprises a string value."}}}}
```

## The ValueRedacted object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ValueRedacted":{"title":"Redacted Value","description":"Returned when a secret value is stored on the Edge site and is not accessible via the API. On create and update, use ValueString to set the value. To clear an existing secret, omit the field from the request body.\n","type":"object","required":["type"],"properties":{"type":{"type":"string","pattern":"^ValueRedacted$"}}}}}}
```

## The ValueEdgeArtifactId object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ValueEdgeArtifactId":{"title":"Edge Artifact ID","description":"References a non-sensitive artifact stored on the Collibra instance and uploaded via `POST /artifacts`. Use for files such as SSL certificates and driver libraries.\n","type":"object","required":["type","edgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueEdgeArtifactId$"},"edgeArtifactId":{"type":"string","format":"uuid","description":"Reference id of the artifact uploaded via `POST /artifacts`."}}}}}}
```

## The ValueSecretEdgeArtifactId object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ValueSecretEdgeArtifactId":{"title":"Secret Edge Artifact ID","description":"References a secret artifact stored on the Edge site and uploaded via `POST /sites/{siteId}/secretArtifacts`. The file content never leaves the Edge site cluster. Use for private keys and other sensitive artifacts. Each secret artifact can only be referenced by a single connection and cannot be reused.\n","type":"object","required":["type","secretEdgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueSecretEdgeArtifactId$"},"secretEdgeArtifactId":{"type":"string","maxLength":512,"description":"The `id` value returned by `POST /sites/{siteId}/secretArtifacts`.\n"}}}}}}
```

## The VaultKeyHashiCorpVaultDatabase object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}}}}}
```

## The VaultKeyHashiCorpVaultKeyValue object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The VaultKeyCyberArkCredentialProviderQuery object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}}}}}
```

## The VaultKeyAWSSecretsManager object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}}}}}
```

## The VaultKeyAzureKeyVaultSecret object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}}}}}
```

## The VaultKeyGCPSecretManager object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}}}}}
```

## The ValueVaultString object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ValueVaultString":{"title":"VaultStringReference","description":"Reference to a vault-stored secret that resolves to a string value. Use this instead of `ValueString` when the value should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultString$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The ValueVaultArtifact object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ValueVaultArtifact":{"title":"VaultArtifactReference","description":"Reference to a vault-stored secret that resolves to a file artifact. Use this instead of `EdgeArtifact` when the file should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultArtifact$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The VaultKeys object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The ParameterGeneric object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ParameterGeneric":{"title":"Generic Parameter","description":"A parameter value for use in a data source connection parameter configuration.","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueEdgeArtifactId"},{"$ref":"#/components/schemas/ValueRedacted"},{"$ref":"#/components/schemas/ValueSecretEdgeArtifactId"},{"$ref":"#/components/schemas/ValueString"},{"$ref":"#/components/schemas/ValueVaultArtifact"},{"$ref":"#/components/schemas/ValueVaultString"}],"discriminator":{"propertyName":"type","mapping":{"ValueEdgeArtifactId":"#/components/schemas/ValueEdgeArtifactId","ValueRedacted":"#/components/schemas/ValueRedacted","ValueSecretEdgeArtifactId":"#/components/schemas/ValueSecretEdgeArtifactId","ValueString":"#/components/schemas/ValueString","ValueVaultArtifact":"#/components/schemas/ValueVaultArtifact","ValueVaultString":"#/components/schemas/ValueVaultString"}}},"ValueEdgeArtifactId":{"title":"Edge Artifact ID","description":"References a non-sensitive artifact stored on the Collibra instance and uploaded via `POST /artifacts`. Use for files such as SSL certificates and driver libraries.\n","type":"object","required":["type","edgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueEdgeArtifactId$"},"edgeArtifactId":{"type":"string","format":"uuid","description":"Reference id of the artifact uploaded via `POST /artifacts`."}}},"ValueRedacted":{"title":"Redacted Value","description":"Returned when a secret value is stored on the Edge site and is not accessible via the API. On create and update, use ValueString to set the value. To clear an existing secret, omit the field from the request body.\n","type":"object","required":["type"],"properties":{"type":{"type":"string","pattern":"^ValueRedacted$"}}},"ValueSecretEdgeArtifactId":{"title":"Secret Edge Artifact ID","description":"References a secret artifact stored on the Edge site and uploaded via `POST /sites/{siteId}/secretArtifacts`. The file content never leaves the Edge site cluster. Use for private keys and other sensitive artifacts. Each secret artifact can only be referenced by a single connection and cannot be reused.\n","type":"object","required":["type","secretEdgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueSecretEdgeArtifactId$"},"secretEdgeArtifactId":{"type":"string","maxLength":512,"description":"The `id` value returned by `POST /sites/{siteId}/secretArtifacts`.\n"}}},"ValueString":{"title":"String Value","type":"object","required":["type","value"],"properties":{"type":{"type":"string","pattern":"^ValueString$"},"value":{"type":"string","minLength":1,"maxLength":4000,"pattern":".*\\S.*"}},"description":"Contains a series of characters that comprises a string value."},"ValueVaultArtifact":{"title":"VaultArtifactReference","description":"Reference to a vault-stored secret that resolves to a file artifact. Use this instead of `EdgeArtifact` when the file should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultArtifact$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}},"ValueVaultString":{"title":"VaultStringReference","description":"Reference to a vault-stored secret that resolves to a string value. Use this instead of `ValueString` when the value should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultString$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]}}}}
```

## The ParameterString object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ParameterString":{"description":"String value that is a plain text value or a vault secret that resolves to a string value.","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueString"},{"$ref":"#/components/schemas/ValueVaultString"}],"discriminator":{"propertyName":"type","mapping":{"ValueString":"#/components/schemas/ValueString","ValueVaultString":"#/components/schemas/ValueVaultString"}}},"ValueString":{"title":"String Value","type":"object","required":["type","value"],"properties":{"type":{"type":"string","pattern":"^ValueString$"},"value":{"type":"string","minLength":1,"maxLength":4000,"pattern":".*\\S.*"}},"description":"Contains a series of characters that comprises a string value."},"ValueVaultString":{"title":"VaultStringReference","description":"Reference to a vault-stored secret that resolves to a string value. Use this instead of `ValueString` when the value should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultString$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The ParameterSecretString object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ParameterSecretString":{"description":"A secret string value that is a plain text value, a redacted value from reading a secret stored on an Edge site, or a string value retrieved from a vault.","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueRedacted"},{"$ref":"#/components/schemas/ValueString"},{"$ref":"#/components/schemas/ValueVaultString"}],"discriminator":{"propertyName":"type","mapping":{"ValueRedacted":"#/components/schemas/ValueRedacted","ValueString":"#/components/schemas/ValueString","ValueVaultString":"#/components/schemas/ValueVaultString"}}},"ValueRedacted":{"title":"Redacted Value","description":"Returned when a secret value is stored on the Edge site and is not accessible via the API. On create and update, use ValueString to set the value. To clear an existing secret, omit the field from the request body.\n","type":"object","required":["type"],"properties":{"type":{"type":"string","pattern":"^ValueRedacted$"}}},"ValueString":{"title":"String Value","type":"object","required":["type","value"],"properties":{"type":{"type":"string","pattern":"^ValueString$"},"value":{"type":"string","minLength":1,"maxLength":4000,"pattern":".*\\S.*"}},"description":"Contains a series of characters that comprises a string value."},"ValueVaultString":{"title":"VaultStringReference","description":"Reference to a vault-stored secret that resolves to a string value. Use this instead of `ValueString` when the value should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultString$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The ParameterEdgeArtifact object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ParameterEdgeArtifact":{"description":"References a non-sensitive artifact stored on the customer's Collibra Platform instance. Use for SSL certificates, driver libraries, and other files that do not need to stay within the customer's Edge site.\n","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueEdgeArtifactId"},{"$ref":"#/components/schemas/ValueVaultArtifact"}],"discriminator":{"propertyName":"type","mapping":{"ValueEdgeArtifactId":"#/components/schemas/ValueEdgeArtifactId","ValueVaultArtifact":"#/components/schemas/ValueVaultArtifact"}}},"ValueEdgeArtifactId":{"title":"Edge Artifact ID","description":"References a non-sensitive artifact stored on the Collibra instance and uploaded via `POST /artifacts`. Use for files such as SSL certificates and driver libraries.\n","type":"object","required":["type","edgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueEdgeArtifactId$"},"edgeArtifactId":{"type":"string","format":"uuid","description":"Reference id of the artifact uploaded via `POST /artifacts`."}}},"ValueVaultArtifact":{"title":"VaultArtifactReference","description":"Reference to a vault-stored secret that resolves to a file artifact. Use this instead of `EdgeArtifact` when the file should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultArtifact$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The ParameterSecretEdgeArtifact object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ParameterSecretEdgeArtifact":{"description":"References a sensitive artifact stored on the Edge site. The file content never leaves the Edge site cluster. Use for private keys and other sensitive artifacts.\n","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueSecretEdgeArtifactId"},{"$ref":"#/components/schemas/ValueVaultArtifact"}],"discriminator":{"propertyName":"type","mapping":{"ValueSecretEdgeArtifactId":"#/components/schemas/ValueSecretEdgeArtifactId","ValueVaultArtifact":"#/components/schemas/ValueVaultArtifact"}}},"ValueSecretEdgeArtifactId":{"title":"Secret Edge Artifact ID","description":"References a secret artifact stored on the Edge site and uploaded via `POST /sites/{siteId}/secretArtifacts`. The file content never leaves the Edge site cluster. Use for private keys and other sensitive artifacts. Each secret artifact can only be referenced by a single connection and cannot be reused.\n","type":"object","required":["type","secretEdgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueSecretEdgeArtifactId$"},"secretEdgeArtifactId":{"type":"string","maxLength":512,"description":"The `id` value returned by `POST /sites/{siteId}/secretArtifacts`.\n"}}},"ValueVaultArtifact":{"title":"VaultArtifactReference","description":"Reference to a vault-stored secret that resolves to a file artifact. Use this instead of `EdgeArtifact` when the file should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultArtifact$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}}}}}
```

## The ParameterGenericMap object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ParameterGenericMap":{"type":"object","description":"Map of parameters for connections used to pass additional configuration.","additionalProperties":{"$ref":"#/components/schemas/ParameterGeneric"}},"ParameterGeneric":{"title":"Generic Parameter","description":"A parameter value for use in a data source connection parameter configuration.","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueEdgeArtifactId"},{"$ref":"#/components/schemas/ValueRedacted"},{"$ref":"#/components/schemas/ValueSecretEdgeArtifactId"},{"$ref":"#/components/schemas/ValueString"},{"$ref":"#/components/schemas/ValueVaultArtifact"},{"$ref":"#/components/schemas/ValueVaultString"}],"discriminator":{"propertyName":"type","mapping":{"ValueEdgeArtifactId":"#/components/schemas/ValueEdgeArtifactId","ValueRedacted":"#/components/schemas/ValueRedacted","ValueSecretEdgeArtifactId":"#/components/schemas/ValueSecretEdgeArtifactId","ValueString":"#/components/schemas/ValueString","ValueVaultArtifact":"#/components/schemas/ValueVaultArtifact","ValueVaultString":"#/components/schemas/ValueVaultString"}}},"ValueEdgeArtifactId":{"title":"Edge Artifact ID","description":"References a non-sensitive artifact stored on the Collibra instance and uploaded via `POST /artifacts`. Use for files such as SSL certificates and driver libraries.\n","type":"object","required":["type","edgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueEdgeArtifactId$"},"edgeArtifactId":{"type":"string","format":"uuid","description":"Reference id of the artifact uploaded via `POST /artifacts`."}}},"ValueRedacted":{"title":"Redacted Value","description":"Returned when a secret value is stored on the Edge site and is not accessible via the API. On create and update, use ValueString to set the value. To clear an existing secret, omit the field from the request body.\n","type":"object","required":["type"],"properties":{"type":{"type":"string","pattern":"^ValueRedacted$"}}},"ValueSecretEdgeArtifactId":{"title":"Secret Edge Artifact ID","description":"References a secret artifact stored on the Edge site and uploaded via `POST /sites/{siteId}/secretArtifacts`. The file content never leaves the Edge site cluster. Use for private keys and other sensitive artifacts. Each secret artifact can only be referenced by a single connection and cannot be reused.\n","type":"object","required":["type","secretEdgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueSecretEdgeArtifactId$"},"secretEdgeArtifactId":{"type":"string","maxLength":512,"description":"The `id` value returned by `POST /sites/{siteId}/secretArtifacts`.\n"}}},"ValueString":{"title":"String Value","type":"object","required":["type","value"],"properties":{"type":{"type":"string","pattern":"^ValueString$"},"value":{"type":"string","minLength":1,"maxLength":4000,"pattern":".*\\S.*"}},"description":"Contains a series of characters that comprises a string value."},"ValueVaultArtifact":{"title":"VaultArtifactReference","description":"Reference to a vault-stored secret that resolves to a file artifact. Use this instead of `EdgeArtifact` when the file should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultArtifact$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}},"ValueVaultString":{"title":"VaultStringReference","description":"Reference to a vault-stored secret that resolves to a string value. Use this instead of `ValueString` when the value should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultString$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]}}}}
```

## The ConnectionProperties object

```json
{"openapi":"3.1.0","info":{"title":"Collibra Edge API","version":"1.0.1"},"components":{"schemas":{"ConnectionProperties":{"oneOf":[{"$ref":"#/components/schemas/ConnectionAws"},{"$ref":"#/components/schemas/ConnectionAzure"},{"$ref":"#/components/schemas/ConnectionDatabricks"},{"$ref":"#/components/schemas/ConnectionDbt"},{"$ref":"#/components/schemas/ConnectionGcp"},{"$ref":"#/components/schemas/ConnectionGit"},{"$ref":"#/components/schemas/ConnectionHttp"},{"$ref":"#/components/schemas/ConnectionIics"},{"$ref":"#/components/schemas/ConnectionJdbc"},{"$ref":"#/components/schemas/ConnectionLocalStorage"},{"$ref":"#/components/schemas/ConnectionLooker"},{"$ref":"#/components/schemas/ConnectionMatillion"},{"$ref":"#/components/schemas/ConnectionMicroStrategy"},{"$ref":"#/components/schemas/ConnectionMlflow"},{"$ref":"#/components/schemas/ConnectionPowerBI"},{"$ref":"#/components/schemas/ConnectionS3Compatible"},{"$ref":"#/components/schemas/ConnectionSapAICore"},{"$ref":"#/components/schemas/ConnectionSapDatasphereCatalog"},{"$ref":"#/components/schemas/ConnectionSigma"},{"$ref":"#/components/schemas/ConnectionSnowflake"},{"$ref":"#/components/schemas/ConnectionSsrs"},{"$ref":"#/components/schemas/ConnectionTableau"},{"$ref":"#/components/schemas/ConnectionThoughtSpot"}],"discriminator":{"propertyName":"type","mapping":{"ConnectionAws":"#/components/schemas/ConnectionAws","ConnectionAzure":"#/components/schemas/ConnectionAzure","ConnectionDatabricks":"#/components/schemas/ConnectionDatabricks","ConnectionDbt":"#/components/schemas/ConnectionDbt","ConnectionGcp":"#/components/schemas/ConnectionGcp","ConnectionGit":"#/components/schemas/ConnectionGit","ConnectionHttp":"#/components/schemas/ConnectionHttp","ConnectionIics":"#/components/schemas/ConnectionIics","ConnectionJdbc":"#/components/schemas/ConnectionJdbc","ConnectionLocalStorage":"#/components/schemas/ConnectionLocalStorage","ConnectionLooker":"#/components/schemas/ConnectionLooker","ConnectionMatillion":"#/components/schemas/ConnectionMatillion","ConnectionMicroStrategy":"#/components/schemas/ConnectionMicroStrategy","ConnectionMlflow":"#/components/schemas/ConnectionMlflow","ConnectionPowerBI":"#/components/schemas/ConnectionPowerBI","ConnectionS3Compatible":"#/components/schemas/ConnectionS3Compatible","ConnectionSapAICore":"#/components/schemas/ConnectionSapAICore","ConnectionSapDatasphereCatalog":"#/components/schemas/ConnectionSapDatasphereCatalog","ConnectionSigma":"#/components/schemas/ConnectionSigma","ConnectionSnowflake":"#/components/schemas/ConnectionSnowflake","ConnectionSsrs":"#/components/schemas/ConnectionSsrs","ConnectionTableau":"#/components/schemas/ConnectionTableau","ConnectionThoughtSpot":"#/components/schemas/ConnectionThoughtSpot"}}},"ConnectionAws":{"type":"object","title":"AWS Connection","description":"AWS connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionAws$","description":"Discriminator for AWS connection"},"auth":{"$ref":"#/components/schemas/AuthAws"},"parameters":{"$ref":"#/components/schemas/ParameterGenericMap"}},"required":["type","auth"]},"AuthAws":{"title":"AWS Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthAwsEc2"},{"$ref":"#/components/schemas/AuthAwsIam"}],"discriminator":{"propertyName":"type","mapping":{"AuthAwsEc2":"#/components/schemas/AuthAwsEc2","AuthAwsIam":"#/components/schemas/AuthAwsIam"}}},"AuthAwsEc2":{"title":"AWS EC2 Instance Profile Authentication","type":"object","description":"Authenticate via the IAM role attached to the EC2 instance running the Edge site. No credentials are configured on the connection.","properties":{"type":{"type":"string","pattern":"^AuthAwsEc2$"}},"required":["type"]},"AuthAwsIam":{"title":"AWS IAM Authentication","type":"object","properties":{"type":{"type":"string","pattern":"^AuthAwsIam$"},"awsAccessKeyId":{"description":"AWS Access Key ID","$ref":"#/components/schemas/ParameterString"},"awsSecretKey":{"description":"AWS Secret Access Key","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","awsAccessKeyId","awsSecretKey"]},"ParameterString":{"description":"String value that is a plain text value or a vault secret that resolves to a string value.","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueString"},{"$ref":"#/components/schemas/ValueVaultString"}],"discriminator":{"propertyName":"type","mapping":{"ValueString":"#/components/schemas/ValueString","ValueVaultString":"#/components/schemas/ValueVaultString"}}},"ValueString":{"title":"String Value","type":"object","required":["type","value"],"properties":{"type":{"type":"string","pattern":"^ValueString$"},"value":{"type":"string","minLength":1,"maxLength":4000,"pattern":".*\\S.*"}},"description":"Contains a series of characters that comprises a string value."},"ValueVaultString":{"title":"VaultStringReference","description":"Reference to a vault-stored secret that resolves to a string value. Use this instead of `ValueString` when the value should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultString$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"VaultKeys":{"title":"Vault Keys","description":"Vault reference parameter for HashiCorp, CyberArk, AWS Secrets Manager, Azure Key Vault and Google Secret Manager.","type":"object","oneOf":[{"$ref":"#/components/schemas/VaultKeyAWSSecretsManager"},{"$ref":"#/components/schemas/VaultKeyAzureKeyVaultSecret"},{"$ref":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery"},{"$ref":"#/components/schemas/VaultKeyGCPSecretManager"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultDatabase"},{"$ref":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}],"discriminator":{"propertyName":"type","mapping":{"VaultKeyAWSSecretsManager":"#/components/schemas/VaultKeyAWSSecretsManager","VaultKeyAzureKeyVaultSecret":"#/components/schemas/VaultKeyAzureKeyVaultSecret","VaultKeyCyberArkCredentialProviderQuery":"#/components/schemas/VaultKeyCyberArkCredentialProviderQuery","VaultKeyGCPSecretManager":"#/components/schemas/VaultKeyGCPSecretManager","VaultKeyHashiCorpVaultDatabase":"#/components/schemas/VaultKeyHashiCorpVaultDatabase","VaultKeyHashiCorpVaultKeyValue":"#/components/schemas/VaultKeyHashiCorpVaultKeyValue"}}},"VaultKeyAWSSecretsManager":{"title":"AWS Secrets Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAWSSecretsManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The name of the secret in your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"Required only when the secret stored in AWS Secrets Manager is a JSON object; it selects which JSON key to use.\n\nFor example, if the secret is `{\"pass1\": \"my-password\", \"pass2\": \"my-password2\"}` and you want the value of `pass1`, set `secretName` to the AWS secret name (e.g. `edge-db-customer`) and `field` to `pass1`.\n\nLeave `field` empty when the secret is stored as a plain string value.\n"}}},"VaultKeyAzureKeyVaultSecret":{"title":"Azure Key Vault Secret Reference","type":"object","required":["type","secretName","vaultName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyAzureKeyVaultSecret$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."},"vaultName":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the Azure Key Vault that contains the secret."}}},"VaultKeyCyberArkCredentialProviderQuery":{"title":"CyberArk Credential Provider Query Reference","type":"object","required":["type","query"],"properties":{"type":{"type":"string","pattern":"^VaultKeyCyberArkCredentialProviderQuery$"},"query":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The query must be a string containing the properties required to identify the secret. Each property must be separated by a semicolon (`;`).\n\nFor example: `Safe=<SafeName>;Folder=<FolderName>;Object=<ObjectName>`\n\nIf a property is a folder with sub-folders, use a backslash (`\\`) to define the folder path. For example: `Folder=Root\\Top Secrets\\More Secrets`\n"}}},"VaultKeyGCPSecretManager":{"title":"Google Cloud Secret Manager Reference","type":"object","required":["type","secretName"],"properties":{"type":{"type":"string","pattern":"^VaultKeyGCPSecretManager$"},"secretName":{"type":"string","pattern":".*\\S.*","maxLength":256,"description":"The name of the secret in your vault where the value is stored."}}},"VaultKeyHashiCorpVaultDatabase":{"title":"HashiCorp Vault Database Reference","type":"object","required":["type","enginePath","role","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultDatabase$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"role":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"If your Secret Engine Type is Database, enter the role specified in the Database engine."},"field":{"type":"string","pattern":"^(username|password)$","description":"Allowed values: username, password"}}},"VaultKeyHashiCorpVaultKeyValue":{"title":"HashiCorp Key-Value Secret Reference","type":"object","required":["type","enginePath","secretPath","field"],"properties":{"type":{"type":"string","pattern":"^VaultKeyHashiCorpVaultKeyValue$"},"enginePath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The engine path to your vault where the value is stored."},"secretPath":{"type":"string","pattern":".*\\S.*","maxLength":100,"description":"The secret path to your vault where the value is stored."},"field":{"type":"string","pattern":".*\\S.*","maxLength":128,"description":"The name of the field in the HashiCorp Key-Value secret whose value should be retrieved."}}},"ParameterSecretString":{"description":"A secret string value that is a plain text value, a redacted value from reading a secret stored on an Edge site, or a string value retrieved from a vault.","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueRedacted"},{"$ref":"#/components/schemas/ValueString"},{"$ref":"#/components/schemas/ValueVaultString"}],"discriminator":{"propertyName":"type","mapping":{"ValueRedacted":"#/components/schemas/ValueRedacted","ValueString":"#/components/schemas/ValueString","ValueVaultString":"#/components/schemas/ValueVaultString"}}},"ValueRedacted":{"title":"Redacted Value","description":"Returned when a secret value is stored on the Edge site and is not accessible via the API. On create and update, use ValueString to set the value. To clear an existing secret, omit the field from the request body.\n","type":"object","required":["type"],"properties":{"type":{"type":"string","pattern":"^ValueRedacted$"}}},"ParameterGenericMap":{"type":"object","description":"Map of parameters for connections used to pass additional configuration.","additionalProperties":{"$ref":"#/components/schemas/ParameterGeneric"}},"ParameterGeneric":{"title":"Generic Parameter","description":"A parameter value for use in a data source connection parameter configuration.","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueEdgeArtifactId"},{"$ref":"#/components/schemas/ValueRedacted"},{"$ref":"#/components/schemas/ValueSecretEdgeArtifactId"},{"$ref":"#/components/schemas/ValueString"},{"$ref":"#/components/schemas/ValueVaultArtifact"},{"$ref":"#/components/schemas/ValueVaultString"}],"discriminator":{"propertyName":"type","mapping":{"ValueEdgeArtifactId":"#/components/schemas/ValueEdgeArtifactId","ValueRedacted":"#/components/schemas/ValueRedacted","ValueSecretEdgeArtifactId":"#/components/schemas/ValueSecretEdgeArtifactId","ValueString":"#/components/schemas/ValueString","ValueVaultArtifact":"#/components/schemas/ValueVaultArtifact","ValueVaultString":"#/components/schemas/ValueVaultString"}}},"ValueEdgeArtifactId":{"title":"Edge Artifact ID","description":"References a non-sensitive artifact stored on the Collibra instance and uploaded via `POST /artifacts`. Use for files such as SSL certificates and driver libraries.\n","type":"object","required":["type","edgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueEdgeArtifactId$"},"edgeArtifactId":{"type":"string","format":"uuid","description":"Reference id of the artifact uploaded via `POST /artifacts`."}}},"ValueSecretEdgeArtifactId":{"title":"Secret Edge Artifact ID","description":"References a secret artifact stored on the Edge site and uploaded via `POST /sites/{siteId}/secretArtifacts`. The file content never leaves the Edge site cluster. Use for private keys and other sensitive artifacts. Each secret artifact can only be referenced by a single connection and cannot be reused.\n","type":"object","required":["type","secretEdgeArtifactId"],"properties":{"type":{"type":"string","pattern":"^ValueSecretEdgeArtifactId$"},"secretEdgeArtifactId":{"type":"string","maxLength":512,"description":"The `id` value returned by `POST /sites/{siteId}/secretArtifacts`.\n"}}},"ValueVaultArtifact":{"title":"VaultArtifactReference","description":"Reference to a vault-stored secret that resolves to a file artifact. Use this instead of `EdgeArtifact` when the file should be retrieved from a vault at runtime.","type":"object","properties":{"type":{"type":"string","pattern":"^ValueVaultArtifact$"},"key":{"$ref":"#/components/schemas/VaultKeys"}},"required":["type","key"]},"ConnectionAzure":{"type":"object","title":"Azure Connection","description":"Azure connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionAzure$","description":"Discriminator for Azure connection"},"usGovernmentCloudHost":{"description":"Indicates whether Azure US Government Cloud is the host for Microsoft Entra.","type":"boolean","default":false},"auth":{"$ref":"#/components/schemas/AuthAzure"}},"required":["type","auth"]},"AuthAzure":{"title":"Azure Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthAzureServicePrincipal"}],"discriminator":{"propertyName":"type","mapping":{"AuthAzureServicePrincipal":"#/components/schemas/AuthAzureServicePrincipal"}}},"AuthAzureServicePrincipal":{"type":"object","title":"Azure Service Principal Authentication","properties":{"type":{"type":"string","pattern":"^AuthAzureServicePrincipal$"},"clientId":{"description":"The ID of the Service Principal used to connect to Azure","$ref":"#/components/schemas/ParameterString"},"clientSecret":{"description":"The Secret Key for the Service Principal","$ref":"#/components/schemas/ParameterSecretString"},"tenantId":{"description":"The Tenant ID of your Azure AD","$ref":"#/components/schemas/ParameterString"}},"required":["type","clientId","clientSecret","tenantId"]},"ConnectionDatabricks":{"type":"object","title":"Databricks Connection","description":"Databricks connection.","properties":{"type":{"type":"string","pattern":"^ConnectionDatabricks$","description":"Discriminator for Databricks connection."},"workspaceUrl":{"description":"Workspace URL on Databricks.","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthDatabricks"}},"required":["type","workspaceUrl","auth"]},"AuthDatabricks":{"title":"Databricks Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthClientCredentials"},{"$ref":"#/components/schemas/AuthDatabricksEntraId"},{"$ref":"#/components/schemas/AuthToken"}],"discriminator":{"propertyName":"type","mapping":{"AuthClientCredentials":"#/components/schemas/AuthClientCredentials","AuthDatabricksEntraId":"#/components/schemas/AuthDatabricksEntraId","AuthToken":"#/components/schemas/AuthToken"}}},"AuthClientCredentials":{"title":"Client Credentials Authentication","type":"object","description":"Generic client credentials (client ID + secret) authentication, reusable across connection types.","properties":{"type":{"type":"string","pattern":"^AuthClientCredentials$"},"clientId":{"description":"Client ID","$ref":"#/components/schemas/ParameterString"},"clientSecret":{"description":"Client secret","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","clientId","clientSecret"]},"AuthDatabricksEntraId":{"title":"Databricks Microsoft Entra ID Authentication","type":"object","description":"Microsoft Entra ID (Azure AD) authentication for Databricks.","properties":{"type":{"type":"string","pattern":"^AuthDatabricksEntraId$"},"clientId":{"description":"Client ID of the Microsoft Entra ID service principal.","$ref":"#/components/schemas/ParameterString"},"clientSecret":{"description":"Client secret of the Microsoft Entra ID service principal.","$ref":"#/components/schemas/ParameterSecretString"},"tenantId":{"description":"Tenant ID for Microsoft Entra ID authentication.","$ref":"#/components/schemas/ParameterString"}},"required":["type","clientId","clientSecret","tenantId"]},"AuthToken":{"title":"Token Authentication","type":"object","description":"Generic single-token authentication, reusable across connection types.","properties":{"type":{"type":"string","pattern":"^AuthToken$"},"token":{"description":"Token value for authentication.","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","token"]},"ConnectionDbt":{"type":"object","title":"dbt Connection","description":"dbt connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionDbt$","description":"Discriminator for dbt Connection"},"adminUrl":{"description":"Optional dbt admin API URL. Defaults to https://cloud.getdbt.com/api/v2","$ref":"#/components/schemas/ParameterString"},"metadataUrl":{"description":"Optional dbt metadata URL. Defaults to https://metadata.cloud.getdbt.com/graphql","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthDbt"}},"required":["type","auth"]},"AuthDbt":{"title":"dbt Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthDbtToken"}],"discriminator":{"propertyName":"type","mapping":{"AuthDbtToken":"#/components/schemas/AuthDbtToken"}}},"AuthDbtToken":{"title":"dbt Token Authentication","type":"object","description":"A dbt Cloud service token with the required permissions, used for authentication.","properties":{"type":{"type":"string","pattern":"^AuthDbtToken$"},"tokenName":{"description":"Name of the service/account token (any unique meaningful name can be used)","$ref":"#/components/schemas/ParameterString"},"tokenValue":{"description":"Value of the service/account token (the copied value from dbt Cloud)","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","tokenName","tokenValue"]},"ConnectionGcp":{"type":"object","title":"GCP Connection","description":"GCP connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionGcp$","description":"Discriminator for GCP Connection"},"auth":{"$ref":"#/components/schemas/AuthGcp"},"parameters":{"$ref":"#/components/schemas/ParameterGenericMap"}},"required":["type","auth"]},"AuthGcp":{"title":"GCP Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthGcpServiceAccount"},{"$ref":"#/components/schemas/AuthGcpWif"},{"$ref":"#/components/schemas/AuthGcpWifGke"}],"discriminator":{"propertyName":"type","mapping":{"AuthGcpServiceAccount":"#/components/schemas/AuthGcpServiceAccount","AuthGcpWif":"#/components/schemas/AuthGcpWif","AuthGcpWifGke":"#/components/schemas/AuthGcpWifGke"}}},"AuthGcpServiceAccount":{"title":"GCP Service Account Authentication","type":"object","description":"GCP Service Account authentication (full JSON key)","properties":{"type":{"type":"string","pattern":"^AuthGcpServiceAccount$"},"credentialsJson":{"description":"Full JSON key for the service account","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","credentialsJson"]},"AuthGcpWif":{"title":"GCP Workload Identity Federation (WIF) Authentication","type":"object","description":"Workload Identity Federation (WIF) - token URL or token","properties":{"type":{"type":"string","pattern":"^AuthGcpWif$"},"tokenOrTokenUrl":{"description":"Token URL or token for WIF","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","tokenOrTokenUrl"]},"AuthGcpWifGke":{"title":"GCP Workload Identity Federation (WIF) using GKE Authentication","type":"object","description":"Workload Identity Federation (WIF) using GKE - credentials from GKE, leave blank","properties":{"type":{"type":"string","pattern":"^AuthGcpWifGke$"}},"required":["type"]},"ConnectionGit":{"type":"object","title":"Git Connection","description":"Connection to a Git repository\n","properties":{"type":{"type":"string","pattern":"^ConnectionGit$","description":"Discriminator for Git connection"},"repositoryUrl":{"description":"HTTPS URL of the Git repository root, e.g. https://github.com/org/repo.git","$ref":"#/components/schemas/ParameterString"},"subfolder":{"description":"Path to a specific subfolder within the repository, e.g. src or projects/analytics.","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthGit"}},"required":["type","repositoryUrl","auth"]},"AuthGit":{"title":"Git Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthGitAccessToken"}],"discriminator":{"propertyName":"type","mapping":{"AuthGitAccessToken":"#/components/schemas/AuthGitAccessToken"}}},"AuthGitAccessToken":{"title":"Git Access Token Authentication","type":"object","properties":{"type":{"type":"string","pattern":"^AuthGitAccessToken$"},"username":{"description":"Username for authentication. Required for Bitbucket repositories.","$ref":"#/components/schemas/ParameterString"},"accessToken":{"description":"Personal access token for authenticating with the Git repository.","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","accessToken"]},"ConnectionHttp":{"type":"object","title":"HTTP Connection","description":"Allows workflows to communicate with other HTTP based systems.\n","properties":{"type":{"type":"string","pattern":"^ConnectionHttp$","description":"Discriminator for HTTP connection"},"host":{"description":"The protocol and domain name of the server to connect to, for example, https://api.example.com","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthHttp"},"testConnectionPath":{"description":"The path for testing this connection with a GET call, for example, /v1/health.","$ref":"#/components/schemas/ParameterString"}},"required":["type","host"]},"AuthHttp":{"title":"HTTP Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthBasic"},{"$ref":"#/components/schemas/AuthNone"},{"$ref":"#/components/schemas/AuthOAuth2"}],"discriminator":{"propertyName":"type","mapping":{"AuthBasic":"#/components/schemas/AuthBasic","AuthNone":"#/components/schemas/AuthNone","AuthOAuth2":"#/components/schemas/AuthOAuth2"}}},"AuthBasic":{"title":"Basic Authentication","type":"object","properties":{"type":{"type":"string","pattern":"^AuthBasic$"},"username":{"description":"Username","$ref":"#/components/schemas/ParameterString"},"password":{"description":"Password","$ref":"#/components/schemas/ParameterSecretString"}},"required":["type","username","password"]},"AuthNone":{"title":"No Authentication","type":"object","properties":{"type":{"type":"string","pattern":"^AuthNone$"}},"required":["type"]},"AuthOAuth2":{"title":"OAuth 2.0 Authentication","type":"object","properties":{"type":{"type":"string","pattern":"^AuthOAuth2$"},"clientId":{"description":"Client id","$ref":"#/components/schemas/ParameterString"},"clientSecret":{"description":"Client secret","$ref":"#/components/schemas/ParameterSecretString"},"accessTokenUri":{"description":"Access token URI","$ref":"#/components/schemas/ParameterString"},"scopes":{"description":"Scopes","$ref":"#/components/schemas/ParameterString"}},"required":["type","clientId","clientSecret","accessTokenUri"]},"ConnectionIics":{"type":"object","title":"Informatica Intelligent Cloud Services (IICS) Connection","description":"IICS connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionIics$","description":"Discriminator for Informatica Intelligent Cloud Services (IICS) Connection"},"url":{"description":"IICS Url","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthIics"}},"required":["type","url","auth"]},"AuthIics":{"title":"IICS Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthBasic"}],"discriminator":{"propertyName":"type","mapping":{"AuthBasic":"#/components/schemas/AuthBasic"}}},"ConnectionJdbc":{"title":"JDBC Connection","type":"object","required":["type","driver","connectionString"],"properties":{"type":{"type":"string","pattern":"^ConnectionJdbc$","description":"Discriminator for JDBC connection types."},"driver":{"$ref":"#/components/schemas/JdbcDriver"},"connectionString":{"$ref":"#/components/schemas/ParameterString","description":"JDBC connection string, e.g. \"jdbc:mysql://localhost:3306/mydb\""},"auth":{"description":"Authentication configuration. When omitted, defaults to AuthNone.","$ref":"#/components/schemas/AuthJdbc"},"parameters":{"description":"Additional JDBC connection properties, such as SSL settings, timeouts, etc. These are passed as key-value pairs in the connection string.","allOf":[{"$ref":"#/components/schemas/ParameterGenericMap"}]}}},"JdbcDriver":{"type":"object","description":"JDBC driver configuration (`JdbcDriverDirect`). Specify the driver jar, an optional classpath, and the fully qualified driver class name.","oneOf":[{"$ref":"#/components/schemas/JdbcDriverDirect"}],"discriminator":{"propertyName":"type","mapping":{"JdbcDriverDirect":"#/components/schemas/JdbcDriverDirect"}}},"JdbcDriverDirect":{"title":"Direct JDBC Driver","type":"object","properties":{"type":{"type":"string","pattern":"^JdbcDriverDirect$"},"className":{"type":"string","description":"Fully qualified class name of the JDBC driver (e.g. \"org.postgresql.Driver\", \"com.mysql.cj.jdbc.Driver\", etc.).","maxLength":100,"pattern":"^[a-zA-Z0-9._$]+$"},"jar":{"type":"string","format":"uuid","description":"Reference id of the driver jar uploaded via `POST /drivers/jars`."},"additionalClasspathFiles":{"type":"array","maxItems":10,"items":{"type":"string","format":"uuid","description":"Reference id of a driver jar or native library uploaded via `POST /drivers/jars` or `POST /drivers/nativeLibs`."}}},"required":["className","type","jar"],"description":"This schema contains the allowed configuration files that can be uploaded to set up a JDBC connection type."},"AuthJdbc":{"title":"JDBC Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthBasic"},{"$ref":"#/components/schemas/AuthNone"}],"discriminator":{"propertyName":"type","mapping":{"AuthBasic":"#/components/schemas/AuthBasic","AuthNone":"#/components/schemas/AuthNone"}}},"ConnectionLocalStorage":{"type":"object","title":"Shared Storage Connection","description":"Read-only access to a folder located on the Edge site. Used for technical lineage ingestion via OpenLineage (AWS Glue, Apache Airflow, OpenLineage).\n","properties":{"type":{"type":"string","pattern":"^ConnectionLocalStorage$","description":"Discriminator for shared storage connection"},"folder":{"description":"--target as specified in ./edgecli object folder-upload","type":"string","pattern":"^[\\w-]+$"}},"required":["type","folder"]},"ConnectionLooker":{"type":"object","title":"Looker Connection","description":"Looker connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionLooker$","description":"Discriminator for Looker Connection"},"url":{"description":"Looker URL","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthLooker"}},"required":["type","url","auth"]},"AuthLooker":{"title":"Looker Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthClientCredentials"}],"discriminator":{"propertyName":"type","mapping":{"AuthClientCredentials":"#/components/schemas/AuthClientCredentials"}}},"ConnectionMatillion":{"type":"object","title":"Matillion Connection","description":"Matillion connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionMatillion$","description":"Discriminator for Matillion Connection"},"url":{"description":"Matillion Url","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthMatillion"},"certFile":{"description":"Custom certificate","$ref":"#/components/schemas/ParameterEdgeArtifact"}},"required":["type","url","auth"]},"AuthMatillion":{"title":"Matillion Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthBasic"},{"$ref":"#/components/schemas/AuthToken"}],"discriminator":{"propertyName":"type","mapping":{"AuthBasic":"#/components/schemas/AuthBasic","AuthToken":"#/components/schemas/AuthToken"}}},"ParameterEdgeArtifact":{"description":"References a non-sensitive artifact stored on the customer's Collibra Platform instance. Use for SSL certificates, driver libraries, and other files that do not need to stay within the customer's Edge site.\n","type":"object","oneOf":[{"$ref":"#/components/schemas/ValueEdgeArtifactId"},{"$ref":"#/components/schemas/ValueVaultArtifact"}],"discriminator":{"propertyName":"type","mapping":{"ValueEdgeArtifactId":"#/components/schemas/ValueEdgeArtifactId","ValueVaultArtifact":"#/components/schemas/ValueVaultArtifact"}}},"ConnectionMicroStrategy":{"type":"object","title":"MicroStrategy Connection","description":"MicroStrategy connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionMicroStrategy$","description":"Discriminator for MicroStrategy Connection"},"url":{"description":"MicroStrategy URL","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthMicroStrategy"}},"required":["type","url","auth"]},"AuthMicroStrategy":{"title":"MicroStrategy Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthBasic"},{"$ref":"#/components/schemas/AuthToken"}],"discriminator":{"propertyName":"type","mapping":{"AuthBasic":"#/components/schemas/AuthBasic","AuthToken":"#/components/schemas/AuthToken"}}},"ConnectionMlflow":{"type":"object","title":"MLflow Connection","description":"MLflow connection\n","properties":{"type":{"type":"string","pattern":"^ConnectionMlflow$","description":"Discriminator for MLflow connection"},"url":{"description":"MLflow URL","$ref":"#/components/schemas/ParameterString"},"auth":{"$ref":"#/components/schemas/AuthMlflow"}},"required":["type","url","auth"]},"AuthMlflow":{"title":"MLflow Authentication","type":"object","oneOf":[{"$ref":"#/components/schemas/AuthBasic"},{"$ref":"#/components/schemas/AuthClientCredentialsWithTokenUrl"}],"discriminator":{"propertyName":"type","mapping":{"AuthBasic":"#/components/schemas/AuthBasic","AuthClientCredentialsWithTokenUrl":"#/components/schemas/AuthClientCredentialsWithTokenUrl"}}},"AuthClientCredentialsWithTokenUrl":{"title":"Client Credentials with Token URL Authentication","type":"object","description":"OAuth client credentials with token URL (client ID, secret, and token endpoint)","properties":{"type":{"type":"string","pattern":"^AuthClientCredentialsWithTokenUrl$"},"clientId":{"description":"Client ID","$ref":"#/components/schemas/ParameterString"},"clientSecret":{"description":"Client secret","$ref":"#/components/schemas/ParameterSecretString"},"tokenUrl":{"descri
[...]
